## org.apache.batik.gvt.renderer
Interface ImageRendererFactory

All Superinterfaces:
  RendererFactory

All Known Implementing Classes:
  ConcreteImageRendererFactory

public interface ImageRendererFactory
extends RendererFactory

Interface for a factory of ImageRenderers

Method Summary
`ImageRenderer` `createDynamicImageRenderer()` Creates a new dynamic renderer.
`ImageRenderer` `createStaticImageRenderer()` Creates a new static renderer.

Methods inherited from interface org.apache.batik.gvt.renderer.RendererFactory
`createRenderer`

Method Detail

### createStaticImageRenderer

    public ImageRenderer createStaticImageRenderer()

  Creates a new static renderer.

### createDynamicImageRenderer

    public ImageRenderer createDynamicImageRenderer()

  Creates a new dynamic renderer.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.